libzypp 17.37.10

zypp::bit::Range< TInt, _begin, 0 > Struct Template Reference

Range specialisation for (illegal) zero _size. More...

`#include <zypp/Bit.h>`

## Public Types
using | IntT
using | MaxBits
using | Mask

## Static Public Attributes
static const unsigned | begin
static const unsigned | size
static const unsigned | end

## Detailed Description

template<class TInt, unsigned _begin>
struct zypp::bit::Range< TInt, _begin, 0 >

Range specialisation for (illegal) zero _size.

Force error at compiletime. Currently because types and values are undefined

Definition at line 96 of file Bit.h.

## Member Typedef Documentation

## ◆ IntT

using zypp::bit::Range< TInt, _begin, _size >::IntT

Definition at line 83 of file Bit.h.

## ◆ MaxBits

using zypp::bit::Range< TInt, _begin, _size >::MaxBits

Definition at line 84 of file Bit.h.

## ◆ Mask

using zypp::bit::Range< TInt, _begin, _size >::Mask

Definition at line 85 of file Bit.h.

## Member Data Documentation

## ◆ begin

const unsigned zypp::bit::Range< TInt, _begin, _size >::begin
| static

Definition at line 87 of file Bit.h.

## ◆ size

const unsigned zypp::bit::Range< TInt, _begin, _size >::size
| static

Definition at line 88 of file Bit.h.

## ◆ end

const unsigned zypp::bit::Range< TInt, _begin, _size >::end
| static

Definition at line 89 of file Bit.h.

The documentation for this struct was generated from the following file:

- zypp/Bit.h